--[[
	##AddOn	  : CooldownIcons R(evamped)
	##Subfile : CooldownIconsR_Range.lua
	##Author  : Hati-EK		
--]]

local LCI = LibStub("LibCooldownIcons")
local CIR = CooldownIconsR

--RangeCheck
local rc = CreateFrame("Frame","CooldownIconsR_RangeCheck",CIR.Anchor)
rc:SetScript("OnUpdate",function(self,elapsed)
	if not self.lastUpdate  then
		self.lastUpdate=0
	end
	self.lastUpdate = self.lastUpdate+elapsed
	while (self.lastUpdate > CIR.updateFrequency) do
		for iconName,iT in pairs(CIR.icons) do
			if CIR.db.char.icondb[iconName].options.range and not CIR.recompile then
				local inRange = LCI:GetRangeByCmd(iT.cmd,CIR:FlagToEquip(iT.watch))
				if inRange==0 then
					iT.tex:SetVertexColor(1,0,0,1)
				else
					iT.tex:SetVertexColor(1,1,1,1)
				end
			end
		end
		self.lastUpdate = self.lastUpdate - CIR.updateFrequency
	end
end)

